We resolved this issue in version 7.78.687. Download the latest version from our website.
SQL Server 2005 Service Pack 3 is compatible with The Education Edge, Blackbaud Student Information Systems and The Financial Edge version 7.77.245

Alternative Solution:

1. Click yes to install Blackbaud's SQL Server Instance
2. Once installed, attach the database choosing the option "Select Another SQL Server Instance"